from datetime import datetime
import os
from ..app import app
from flask import Blueprint, render_template

simple_views = Blueprint("views", __name__, template_folder=os.path.join(
    os.path.dirname(__file__), "templates"))


@simple_views.get("/")
def index_page():
    return render_template("index.html", now=datetime.now())


app.register_blueprint(simple_views)
